package xyz.wbsite.frame.base;

import xyz.wbsite.frame.base.BaseRequest;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * LoginRequest - 登录
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class LoginRequest extends BaseRequest {

    @NotBlank(message = "[username]用户名不能为空")
    private String username;

    @NotBlank(message = "[password]用户密码不能为空")
    private String password;

    @NotNull(message = "[verifyCodeId]验证码ID不能为空")
    private Long verifyCodeId;

    @NotBlank(message = "[verifyCodeCode]验证码不能为空")
    private String verifyCodeCode;

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Long getVerifyCodeId() {
        return verifyCodeId;
    }

    public void setVerifyCodeId(Long verifyCodeId) {
        this.verifyCodeId = verifyCodeId;
    }

    public String getVerifyCodeCode() {
        return verifyCodeCode;
    }

    public void setVerifyCodeCode(String verifyCodeCode) {
        this.verifyCodeCode = verifyCodeCode;
    }
}
